Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# slot.h File Reference

C++ slot interface. More...

`#include <inti/object.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti

## Detailed Description

C++ slot interface.

Provides a set of slot class templates. Slots are callable objects that can be used to connect functions, class methods and function objects to Inti::Signals and Inti::G::Signals.
Main Page - Footer